#pragma once

#include "Bounds.h"

#include <vector>

class Grid
{
public:
    Grid(const Bounds& bounds);

    const Bounds& getBounds() const;

    double getXSpacing() const;

    double getYSpacing() const;

    const std::vector<double>& getValues() const;

    void resetBounds(const Bounds& bounds);

    void setValues(const std::vector<std::size_t>& indices, double value);

private:
    Bounds mBounds;
    std::vector<double> mValues;
    unsigned mNumX{5};
    unsigned mNumY{5};
};
